
/*
*===========================================================
*        File Name: ctrlport.h
*          Version: A1
*          Created: 2015-8-14
*         Revision: 00
*         Compiler: ARMCC.exe V5.03.0.76
*           Author: 
*          Company: Analog Devices Inc
*===========================================================
*/

#ifndef CTRLPORT_H_
#define CTRLPORT_H_

#include "inc\ADuCM360.h"
#include "inc\system_ADUCM360.h"
#include "common\DioLib.h"
#include "hardware.h"

#define ADI_GP0_GPOUT_ADDR   		0x40006018
#define ADI_GP0_GPIN_ADDR   		0x40006014


#define ADDR0_OUT							GP0OUT_OUT0_BBA
#define ADDR1_OUT							GP0OUT_OUT1_BBA
#define ADDR2_OUT							GP0OUT_OUT2_BBA

#define ADDR0_IN							GP0IN_IN0_BBA
#define ADDR1_IN							GP0IN_IN1_BBA
#define ADDR2_IN							GP0IN_IN2_BBA

#define I2C_SWITCH				GP0OUT_OUT3_BBA
#define UART_RS485_DIR 		GP0OUT_OUT4_BBA
#define IO_RST						GP0OUT_OUT5_BBA

#define HIGH			1
#define LOW				0

#define pCN0352_ctrlpout ((Ctrl_Port_REG_T *)ADI_GP0_GPOUT_ADDR)
#define pCN0352_ctrlpin  ((Ctrl_Port_REG_T *)ADI_GP0_GPIN_ADDR)

typedef union{	//Ctrl_Port_REG_T
	uint8_t		Val; 
	struct{		//BITs
	 __IO uint8_t	CH			:	3;
	 __IO uint8_t	I2CEN		:	1;
	 __IO uint8_t	DIR485	:	1;
	 __IO uint8_t	IORST		:	1;
	 __I  uint8_t	RESERVE	:	2;
	}BITs;
	struct{		//Func
	 __IO uint8_t	CH			:	3;
	 __IO uint8_t	Other		:	3;
	 __I  uint8_t	RESERVE	:	2;
	}Func;
}Ctrl_Port_REG_T;

typedef struct{
	unsigned long * A0;
	unsigned long * A1;
	unsigned long * A2;
	unsigned long * I2CEN;
	unsigned long * DIR485;
	unsigned long * IORST;
}Ctrl_Port_PREG_T;
extern Ctrl_Port_PREG_T pctrlport;

typedef struct {	//CtrlPort_Typedef
	//Ctrl_Port_REG_T reg;
	void(*wr)(Ctrl_Port_REG_T val);
	void(*rd)(Ctrl_Port_REG_T *pval);
	void(*set_ch)(unsigned char ch_no);
	unsigned char (*get_ch)(void);
	void(*i2c_open)(void);
	void(*i2c_close)(void);
	void(*rs485_send)(void);
	void(*rs485_receive)(void);
	void(*reset_on)(void);
	void(*reset_off)(void);
}CtrlPort_Typedef;

extern CtrlPort_Typedef ctrlport;


#endif /*CTRLPORT_H_*/

