#include "inc\ADuCM360.h"
#include "inc\system_ADUCM360.h"
#include "hardware.h"
#include "common\DioLib.h"

extern void pin_define(void)
{
	//GPIO 
	//Function Configuration
	//UART: P0.6: RX P0.7:Tx P0.4 RTS for RS485 Direction Control.
	//{P0.2,P0.1,P0.0}: GPIO for channel selection.
	//P0.3: GPIO-I2C_EN
	//P0.5: GPIO-SW_BRST(Software Controllable Battery Charging Module Reset)
	DioOen(pADI_GP0, GPOEN_OEN5|GPOEN_OEN4|GPOEN_OEN3|GPOEN_OEN2|GPOEN_OEN1|GPOEN_OEN0);
	DioCfg(pADI_GP0, GP0CON_CON7_UARTTXD|GP0CON_CON6_UARTRXD|GP0CON_CON5_GPIOIRQ1|GP0CON_CON4_GPIO|GP0CON_CON3_GPIOIRQ0|GP0CON_CON2_GPIO|GP0CON_CON1_GPIO|GP0CON_CON0_GPIO);
	//Enable Corresponding Output
	DioOen(pADI_GP0, GPOEN_OEN5|GPOEN_OEN4|GPOEN_OEN3|GPOEN_OEN2|GPOEN_OEN1|GPOEN_OEN0);
	//Initial Value 0x00;
	DioClr(pADI_GP0, 0xff);
	
	//GPIO1
	//Function Configuration
	//P1.5: SPI0_CLK, P1.6: SPI0_MOSI, P1.7: SPI0_CS
	//P1.2: PWM0 for FAN Control; P1.3 PWM1 for FAN Control;
	DioCfg(pADI_GP1, GP1CON_CON7_SPI0CS|GP1CON_CON6_SPI0MOSI|GP1CON_CON5_SPI0SCLK|GP1CON_CON2_PWM0|GP1CON_CON3_PWM1);
//	DioCfg(pADI_GP1, GP1CON_CON7_SPI0CS|GP1CON_CON6_SPI0MOSI|GP1CON_CON5_SPI0SCLK|GP1CON_CON2_PWM0|GP1CON_CON3_PWM1);
	//Enable Corresponding Output
	DioOen(pADI_GP1, GPOEN_OEN3);
	//Initial Value 0x00;
	DioClr(pADI_GP1, GPCLR_CLR3);
	
	//GPIO2 Function Configuration
	//I2C: P2.0: I2C SCL, P2.1: I2C SDA
	DioCfg(pADI_GP2, GP2CON_CON1_I2CSDA|GP2CON_CON0_I2CSCL);
}


